Redmine - Feature #1139

Being able to sort the issue list by custom fields
2008-04-29 13:09 - Paolo Sulprizio

Status: Closed Start date: 2008-04-29
Priority: Low Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

Issue list is sortable only by standard fields. It should be useful being able to sort the issue list by custom fields.

Related issues:
Related to Redmine - Defect #5778: Defect in the filters (custom field) from ... Closed 2010-06-28
Related to Redmine - Defect #11073: UserCustomField order_statement returns w... Closed

Associated revisions

Revision 2257 - 2009-01-11 17:33 - Jean-Philippe Lang

Ability to sort the issue list by text, list, date and boolean custom fields (#1139).

Revision 2258 - 2009-01-11 19:38 - Jean-Philippe Lang
Ability to sort the issue list by text, int and float custom fields (#1139).

History

#1 - 2008-07-04 04:32 - Patrick Oppenlander

+1 1l

#2 - 2008-07-11 10:45 - yo perollet

That's wright, it would be very useful to be able to sort the issue by custom fields

I'm very interested in this function

#3 - 2008-07-25 16:02 - Curtis Stewart

| just had a request from one of my customers to be able to sort by the custom fields also.
+1

#4 - 2008-08-15 08:21 - Richard Nichols

+1, this is a feature requested while evaluating whether to implement Redmine in our organisation.

#5 - 2008-09-04 20:51 - Brian Lopez

+1
We'd really like to have this feature. We use a "ranking" custom field that works similarly to a priority, but is more like an order of assumed completion.
Currently we have to keep exporting to excel, and sort there.

#6 - 2008-10-07 22:21 - Nick Bolton

+1
We use a similar custom field for sorting order that prioritized tasks should be completed.

#7 - 2008-11-30 16:29 - Vasia Pupkin

+1

#8 - 2009-01-10 14:18 - sunday walker

+1

ex.
Add the "severity" to the custom field.
| want sort by "severity".

#9 - 2009-01-11 19:35 - Jean-Philippe Lang
- Category set to Custom fields

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Done in r2257 and r2258.

#10 - 2009-03-05 10:28 - Jm Delehaye
- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Very nice feature.
Thanks Jean-Philippe.

Is it possible to merge to 0.8 ?

#11 - 2009-05-07 17:19 - Mark P

Is there any way to get this functionality in 0.8.3? | created a Unified DIFF from revision 2258, but it hung and did nothing when | tried to apply that
patch to my 0.8.3 install. | suspect | am doing something incorrectly as | don't patch very often. Any ideas or direction would be very helpful.

#12 - 2009-05-26 18:55 - Jm Delehaye
- File redmine_sortByCf changeset r2257.diff added

This patch seems to be OK on 0.8.3.

#13 - 2009-07-25 15:11 - Nikolay Kotlyarov

+1
Very useful feature.

#14 - 2009-10-20 19:07 - VM Weseloh

+1
A must have for us

#15 - 2009-10-28 14:05 - harald fiirthauer

+1
would be also for us a very usful feature!

#16 - 2009-10-28 14:07 - harald fiirthauer

Jm Delehaye wrote:

This patch seems to be OK on 0.8.3.

Is this patch also working with 0.8.4

#17 - 2009-11-03 16:10 - Matthew Baker

I am running 0.8.5 and this fix brings up a GET/redmine error when | implement it. | even reverted back to 0.8.3 and | got the same thing.

#18 - 2009-11-15 10:28 - Jean-Philippe Lang
- Status changed from Reopened to Closed
Jm Delehaye wrote:

Very nice feature.
Thanks Jean-Philippe.

Is it possible to merge to 0.8 ?
https://www.redmine.org/projects/redmine/repository/svn/revisions/2257
https://www.redmine.org/projects/redmine/repository/svn/revisions/2258

No, it won't be merged to 0.8.

Files

redmine_sortByCf_changeset_r2257.diff 3.55 KB 2009-05-26 Jm Delehaye
